function [V,M] = intlegpol(n,x)
% for [0,1]
%Computes values of the first n + 1 Legendre polynomials (returned in matrix V)
%and the first n ? 1 integrated Legendre polynomials (returned in matrix M)
%in the points xj passed in the row vector x.
%Uses the recursion formulas (??) and (1.5.14)
V = ones(size(x)); 
V = [V;x];
for j = 1:n-1 
    V = [V; ((2*j+1)/(j+1)) .* x .* V(end,:) - j/(j+1)*V(end-1,:)];
end
M = diag(1./(2*(1:n-1)+1)) * (V(3:n+1,:)-V(1:n-1,:));

return