% Plot the Galerkin solution uN for ? := [??,?], c = 1, g(x) = sin(x), and
% N = 50, 100, 200. Compare uN with the exact analytic solution u(x) = 0.5*sin(x).

% Settings 
a = -pi; b = pi; c = 1; g = inline('sin(x)','x'); ua = 0; ub = 0;

% Plot analytical solution
hold off;
fplot(inline('0.5*sin(x)','x'), [a b], '--');
hold on;

% Make the plot
str = ['c','r','g','b','m']; k = 1;
for N = [10,25,50,100,200]
    u = linfegalerkinsol( a, b, c, g, N, ua, ub );
    x = linspace(a,b,N+1)';
    plot(x,u,str(k)); k = k + 1;
end
legend('u(x)=0.5*sin(x)', '10','25','50','100','200');
