function [B,DB] = monpol(n,x)
%Computes values of the first n - 1 monomials (returned in matrix B)
%and the first n+1 derivatives (returned in matrix DB)
%in the points xj passed in the row vector x.

B = ones(size(x)) - x.^2;
for j = 1:n-2 
    B = [B; (1-x.^2).*x.^j];
end
DB = [];
for j = 0:n 
    DB = [DB;j.*x.^(max(0,j-1)) - (j+2).*x.^(j+1)];
end

