exact = @(x) sqrt(x);
Nvals = 3:7;
l2errors = zeros(1,5);
lierrors = zeros(1,5);

for i = 1:5
    N = Nvals(i);

    [q,w] = gauleg(0, 1, 2*(N-1));
    U = l2proj_leg(N, exact, q);
    l2errors(i) = sqrt(sum(w.*(U' - exact(q)).^2));

    q = linspace(0,1,10^(N-1))';
    U = l2proj_leg(N, exact, q);
    lierrors(i) = max(abs(U' - exact(q)));
end

clf;
loglog(Nvals, l2errors, 'ro-');
hold on;
loglog(Nvals, lierrors, 'bo-');
xlabel('Degrees of freedom');
ylabel('Error');

p = polyfit(log(Nvals), log(l2errors), 1);
-p(1)
p = polyfit(log(Nvals), log(lierrors), 1);
-p(1)
