function R = Rmat(mu)

    mesh = linspace(0,1,length(mu));
    h = mesh(2)-mesh(1);
    xi = h/2:h:(1-h/2); % midpoints, where we will evaluate sigma
    M = length(mu)-1;
    % Computation of the r_j
    s = sigma(mu,xi);
    r = s./h;

    % Assemble tridiagonal matrix R
    R = gallery('tridiag',[-r(1), -r(2:M-1),-r(M)],[r(1), r(1:M-1)+r(2:M), r(M)],[-r(1), -r(2:M-1), -r(M)]);